<?php


namespace App\Http\Controllers\Admin;


use App\Http\helper\Helper;
use App\Http\logic\admin\RoomServiceLogic;
use Illuminate\Http\Request;


class RoomServiceController
{
    //  房间服务端数据统计
    public function service_data(Request $request)
    {

        $excel = $request->excel ?: '';

        $time = Helper::return_time($request);

        list($start_time,$end_time) = [$time['start_time'],$time['end_time']];

        $res = (new RoomServiceLogic())->service_data($start_time,$end_time,$excel);
        return view('admin.room_service.room_service',$res);
    }

    // 轮数统计
    public function show($id)
    {
        $res = (new RoomServiceLogic())->show($id);
        return view('admin.room_service.show',$res);
    }
}
